Linux v69820.1blu.de 4.15.0 #1 SMP Mon Sep 30 15:36:27 MSK 2024 x86_64
Apache/2.4.58
Server IP : 195.90.215.149 & Your IP : 216.73.216.250
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
MAKEDEV
52.04
KB
-rwxr-xr-x
2023-12-20 22:10
a2disconf
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2dismod
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2dissite
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2enconf
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2enmod
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2ensite
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2query
9.6
KB
-rwxr-xr-x
2026-07-06 16:27
aa-load
38.75
KB
-rwxr-xr-x
2026-04-13 22:29
aa-remove-unknown
3.15
KB
-rwxr-xr-x
2026-04-13 22:29
aa-status
39.06
KB
-rwxr-xr-x
2026-04-13 22:29
aa-teardown
137
B
-rwxr-xr-x
2024-04-12 03:59
accessdb
14.55
KB
-rwxr-xr-x
2024-04-08 14:45
add-shell
1.03
KB
-rwxr-xr-x
2024-03-31 08:47
addgnupghome
3
KB
-rwxr-xr-x
2026-01-05 22:01
addgroup
53.9
KB
-rwxr-xr-x
2023-07-05 17:42
adduser
53.9
KB
-rwxr-xr-x
2023-07-05 17:42
agetty
59.56
KB
-rwxr-xr-x
2026-03-06 16:00
anacron
34.17
KB
-rwxr-xr-x
2024-04-08 15:54
apache2
740.59
KB
-rwxr-xr-x
2026-07-06 16:27
apache2ctl
7.26
KB
-rwxr-xr-x
2024-03-18 12:35
apachectl
7.26
KB
-rwxr-xr-x
2024-03-18 12:35
apparmor_parser
1.55
MB
-rwxr-xr-x
2026-04-13 22:29
apparmor_status
39.06
KB
-rwxr-xr-x
2026-04-13 22:29
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2026-01-05 22:01
aptd
1.36
KB
-rwxr-xr-x
2023-05-22 20:24
arp
61.61
KB
-rwxr-xr-x
2025-05-28 13:23
arpd
26.33
KB
-rwxr-xr-x
2026-04-15 06:53
arptables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
aspell-autobuildhash
13.36
KB
-rwxr-xr-x
2023-09-07 08:57
badblocks
34.32
KB
-rwxr-xr-x
2024-04-28 23:44
biosdecode
27.2
KB
-rwxr-xr-x
2024-10-14 20:25
blkdeactivate
15.97
KB
-rwxr-xr-x
2024-11-27 19:06
blkdiscard
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
blkid
54.41
KB
-rwxr-xr-x
2026-03-06 16:00
blkzone
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
blockdev
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
bridge
108.49
KB
-rwxr-xr-x
2026-04-15 06:53
capsh
57.09
KB
-rwxr-xr-x
2026-04-09 15:04
cfdisk
94.73
KB
-rwxr-xr-x
2026-03-06 16:00
chcpu
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
58.32
KB
-rwxr-xr-x
2024-05-30 14:52
chmem
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
chpasswd
54.43
KB
-rwxr-xr-x
2024-05-30 14:52
chroot
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
convertquota
62.88
KB
-rwxr-xr-x
2024-04-01 07:31
cpgr
48.45
KB
-rwxr-xr-x
2024-05-30 14:52
cppw
48.45
KB
-rwxr-xr-x
2024-05-30 14:52
cracklib-check
14.15
KB
-rwxr-xr-x
2024-03-31 07:30
cracklib-format
231
B
-rwxr-xr-x
2024-03-31 07:30
cracklib-packer
14.15
KB
-rwxr-xr-x
2024-03-31 07:30
cracklib-unpacker
14.15
KB
-rwxr-xr-x
2024-03-31 07:30
create-cracklib-dict
990
B
-rwxr-xr-x
2024-03-31 07:30
cron
58.67
KB
-rwxr-xr-x
2024-03-31 00:06
ctrlaltdel
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
dcb
80.52
KB
-rwxr-xr-x
2026-04-15 06:53
debugfs
225.87
KB
-rwxr-xr-x
2024-04-28 23:44
delgroup
18.53
KB
-rwxr-xr-x
2023-07-05 17:42
deluser
18.53
KB
-rwxr-xr-x
2023-07-05 17:42
depmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
devlink
150.86
KB
-rwxr-xr-x
2026-04-15 06:53
dhclient
676.54
KB
-rwxr-xr-x
2024-04-22 10:43
dhclient-script
16.17
KB
-rwxr-xr-x
2024-04-22 10:43
dhcp6c
158.7
KB
-rwxr-xr-x
2021-02-22 09:36
dhcp6ctl
22.31
KB
-rwxr-xr-x
2021-02-22 09:36
dhcpcd
395.4
KB
-rwxr-xr-x
2025-11-13 17:47
dmidecode
135.25
KB
-rwxr-xr-x
2024-10-14 20:25
dmsetup
171.05
KB
-rwxr-xr-x
2024-11-27 19:06
dmstats
171.05
KB
-rwxr-xr-x
2024-11-27 19:06
dosfsck
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
dosfslabel
38.38
KB
-rwxr-xr-x
2024-03-31 08:49
dpkg-preconfigure
4.25
KB
-rwxr-xr-x
2024-04-12 12:40
dpkg-reconfigure
4.43
KB
-rwxr-xr-x
2024-04-12 12:40
dumpe2fs
34.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2freefrag
18.3
KB
-rwxr-xr-x
2024-04-28 23:44
e2fsck
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
e2image
42.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2label
110.56
KB
-rwxr-xr-x
2024-04-28 23:44
e2mmpstatus
34.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2scrub
7.12
KB
-rwxr-xr-x
2024-04-28 23:44
e2scrub_all
5.27
KB
-rwxr-xr-x
2024-04-28 23:44
e2undo
22.3
KB
-rwxr-xr-x
2024-04-28 23:44
e4crypt
30.38
KB
-rwxr-xr-x
2024-04-28 23:44
e4defrag
34.3
KB
-rwxr-xr-x
2024-04-28 23:44
ebtables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
edquota
83.31
KB
-rwxr-xr-x
2024-04-01 07:31
exicyclog
11.12
KB
-rwxr-xr-x
2026-07-17 15:24
exigrep
10.48
KB
-rwxr-xr-x
2026-07-17 15:24
exim
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
exim4
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
exim_checkaccess
4.84
KB
-rwxr-xr-x
2026-07-17 15:24
exim_convert4r4
72.76
KB
-rwxr-xr-x
2026-07-17 15:24
exim_dbmbuild
18.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_dumpdb
22.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_fixdb
30.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_id_update
5.48
KB
-rwxr-xr-x
2026-07-17 15:24
exim_lock
18.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_msgdate
17.68
KB
-rwxr-xr-x
2026-07-17 15:24
exim_tidydb
22.3
KB
-rwxr-xr-x
2026-07-17 15:24
eximstats
148.27
KB
-rwxr-xr-x
2026-07-17 15:24
exinext
8.13
KB
-rwxr-xr-x
2026-07-17 15:24
exipick
59.35
KB
-rwxr-xr-x
2026-07-17 15:24
exiqgrep
5.63
KB
-rwxr-xr-x
2026-07-17 15:24
exiqsumm
5.28
KB
-rwxr-xr-x
2026-07-17 15:24
exiwhat
4.44
KB
-rwxr-xr-x
2026-07-17 15:24
faillock
22.31
KB
-rwxr-xr-x
2026-07-16 13:44
fatlabel
38.38
KB
-rwxr-xr-x
2024-03-31 08:49
fdisk
114.42
KB
-rwxr-xr-x
2026-03-06 16:00
filefrag
18.32
KB
-rwxr-xr-x
2024-04-28 23:44
findfs
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
fsck
42.42
KB
-rwxr-xr-x
2026-03-06 16:00
fsck.cramfs
30.44
KB
-rwxr-xr-x
2026-03-06 16:00
fsck.ext2
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.ext3
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.ext4
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.fat
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsck.minix
54.41
KB
-rwxr-xr-x
2026-03-06 16:00
fsck.msdos
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsck.vfat
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsfreeze
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
fstab-decode
14.3
KB
-rwxr-xr-x
2024-04-08 16:20
fstrim
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
genl
120.58
KB
-rwxr-xr-x
2026-04-15 06:53
getcap
14.3
KB
-rwxr-xr-x
2026-04-09 15:04
getpcaps
14.3
KB
-rwxr-xr-x
2026-04-09 15:04
getty
59.56
KB
-rwxr-xr-x
2026-03-06 16:00
groupadd
71.13
KB
-rwxr-xr-x
2024-05-30 14:52
groupdel
62.91
KB
-rwxr-xr-x
2024-05-30 14:52
groupmems
58.34
KB
-rwxr-xr-x
2024-05-30 14:52
groupmod
71.04
KB
-rwxr-xr-x
2024-05-30 14:52
grpck
58.32
KB
-rwxr-xr-x
2024-05-30 14:52
grpconv
50.16
KB
-rwxr-xr-x
2024-05-30 14:52
grpunconv
50.16
KB
-rwxr-xr-x
2024-05-30 14:52
halt
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
httxt2dbm
14.3
KB
-rwxr-xr-x
2026-07-06 16:27
iconvconfig
34.47
KB
-rwxr-xr-x
2026-07-23 17:18
ifconfig
77.17
KB
-rwxr-xr-x
2025-05-28 13:23
ifdown
93.58
KB
-rwxr-xr-x
2024-02-14 14:14
ifquery
93.58
KB
-rwxr-xr-x
2024-02-14 14:14
ifup
93.58
KB
-rwxr-xr-x
2024-02-14 14:14
init
98.45
KB
-rwxr-xr-x
2026-06-05 15:36
insmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
install-keymap
4.66
KB
-rwxr-xr-x
2019-09-08 10:00
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2022-10-06 18:03
installkernel
2.6
KB
-rwxr-xr-x
2024-03-31 08:47
invoke-rc.d
16.13
KB
-rwxr-xr-x
2023-12-06 07:46
ip
754.8
KB
-rwxr-xr-x
2026-04-15 06:53
ip6tables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-apply
6.89
KB
-rwxr-xr-x
2023-08-12 22:33
ip6tables-legacy
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-legacy-restore
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-legacy-save
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-restore-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ipmaddr
18.3
KB
-rwxr-xr-x
2025-05-28 13:23
iptables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-apply
6.89
KB
-rwxr-xr-x
2023-08-12 22:33
iptables-legacy
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-legacy-restore
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-legacy-save
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-restore-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptunnel
18.3
KB
-rwxr-xr-x
2025-05-28 13:23
isosize
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
ispell-autobuildhash
15.52
KB
-rwxr-xr-x
2023-09-07 08:57
kbdrate
18.31
KB
-rwxr-xr-x
2024-03-31 09:02
killall5
26.23
KB
-rwxr-xr-x
2024-04-08 16:20
ldattach
26.38
KB
-rwxr-xr-x
2026-03-06 16:00
ldconfig
387
B
-rwxr-xr-x
2026-07-23 17:18
ldconfig.real
1
MB
-rwxr-xr-x
2026-07-23 17:18
locale-gen
4.21
KB
-rwxr-xr-x
2024-08-08 13:37
logrotate
94.24
KB
-rwxr-xr-x
2024-04-08 16:11
logsave
14.16
KB
-rwxr-xr-x
2024-04-28 23:44
losetup
74.52
KB
-rwxr-xr-x
2026-03-06 16:00
lsmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
make-ssl-cert
6.65
KB
-rwxr-xr-x
2023-10-01 04:19
mariadbd
26.1
MB
-rwxr-xr-x
2025-10-11 02:08
memtester
30.32
KB
-rwxr-xr-x
2022-12-21 16:36
mii-tool
26.73
KB
-rwxr-xr-x
2025-05-28 13:23
mkdosfs
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mke2fs
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.bfs
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.cramfs
34.32
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.ext2
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.ext3
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.ext4
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.fat
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkfs.minix
42.39
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.msdos
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkfs.ntfs
66.38
KB
-rwxr-xr-x
2026-07-11 15:55
mkfs.vfat
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkhomedir_helper
22.34
KB
-rwxr-xr-x
2026-07-16 13:44
mkinitramfs
15.39
KB
-rwxr-xr-x
2026-02-04 17:01
mklost+found
14.3
KB
-rwxr-xr-x
2024-04-28 23:44
mkntfs
66.38
KB
-rwxr-xr-x
2026-07-11 15:55
mkswap
50.38
KB
-rwxr-xr-x
2026-03-06 16:00
modinfo
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
modprobe
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
mount.fuse
18.3
KB
-rwxr-xr-x
2024-04-08 15:57
mount.fuse3
18.3
KB
-rwxr-xr-x
2024-04-08 15:57
mount.lowntfs-3g
118.98
KB
-rwxr-xr-x
2026-07-11 15:55
mount.ntfs
159.01
KB
-rwxr-xr-x
2026-07-11 15:55
mount.ntfs-3g
159.01
KB
-rwxr-xr-x
2026-07-11 15:55
mysqld
26.1
MB
-rwxr-xr-x
2025-10-11 02:08
nameif
14.39
KB
-rwxr-xr-x
2025-05-28 13:23
newusers
86.96
KB
-rwxr-xr-x
2024-05-30 14:52
nfnl_osf
18.3
KB
-rwxr-xr-x
2024-04-08 15:59
nft
26.23
KB
-rwxr-xr-x
2026-02-24 08:16
nologin
14.3
KB
-rwxr-xr-x
2024-05-30 14:52
ntfsclone
50.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfscp
30.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfslabel
22.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsresize
62.39
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsundelete
50.38
KB
-rwxr-xr-x
2026-07-11 15:55
ownership
14.45
KB
-rwxr-xr-x
2024-10-14 20:25
pam-auth-update
20.96
KB
-rwxr-xr-x
2025-03-05 14:39
pam_extrausers_chkpwd
26.31
KB
-rwxr-sr-x
2026-07-16 13:44
pam_extrausers_update
34.31
KB
-rwxr-xr-x
2026-07-16 13:44
pam_getenv
2.82
KB
-rwxr-xr-x
2025-03-05 14:39
pam_namespace_helper
467
B
-rwxr-xr-x
2026-07-16 13:44
pam_timestamp_check
14.31
KB
-rwxr-xr-x
2026-07-16 13:44
parted
94.4
KB
-rwxr-xr-x
2024-03-31 06:44
partprobe
14.38
KB
-rwxr-xr-x
2024-03-31 06:44
phpdismod
7.11
KB
-rwxr-xr-x
2022-07-13 08:19
phpenmod
7.11
KB
-rwxr-xr-x
2022-07-13 08:19
phpquery
6.24
KB
-rwxr-xr-x
2022-07-13 08:19
pivot_root
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
plipconfig
14.3
KB
-rwxr-xr-x
2025-05-28 13:23
plocate-build
50.47
KB
-rwxr-xr-x
2024-04-18 17:53
poweroff
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
pwck
54.29
KB
-rwxr-xr-x
2024-05-30 14:52
pwconv
46.16
KB
-rwxr-xr-x
2024-05-30 14:52
pwhistory_helper
22.31
KB
-rwxr-xr-x
2026-07-16 13:44
pwunconv
46.16
KB
-rwxr-xr-x
2024-05-30 14:52
quota_nld
26.41
KB
-rwxr-xr-x
2024-04-01 07:31
quotacheck
91.34
KB
-rwxr-xr-x
2024-04-01 07:31
quotaoff
54.78
KB
-rwxr-xr-x
2024-04-01 07:31
quotaon
54.78
KB
-rwxr-xr-x
2024-04-01 07:31
quotastats
14.15
KB
-rwxr-xr-x
2024-04-01 07:31
rarp
32.33
KB
-rwxr-xr-x
2025-05-28 13:23
readprofile
22.41
KB
-rwxr-xr-x
2026-03-06 16:00
reboot
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
remove-default-ispell
2.86
KB
-rwxr-xr-x
2023-09-07 08:57
remove-default-wordlist
2.86
KB
-rwxr-xr-x
2023-09-07 08:57
remove-shell
1.08
KB
-rwxr-xr-x
2024-03-31 08:47
repquota
75.41
KB
-rwxr-xr-x
2024-04-01 07:31
resize2fs
70.3
KB
-rwxr-xr-x
2024-04-28 23:44
resolvconf
158.67
KB
-rwxr-xr-x
2026-06-05 15:36
rmail
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
rmmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
rmt
54.71
KB
-rwxr-xr-x
2026-07-20 14:38
rmt-tar
54.71
KB
-rwxr-xr-x
2026-07-20 14:38
rndc
42.3
KB
-rwxr-xr-x
2026-05-21 13:51
rndc-confgen
22.3
KB
-rwxr-xr-x
2026-05-21 13:51
route
68.27
KB
-rwxr-xr-x
2025-05-28 13:23
rpc.rquotad
71.18
KB
-rwxr-xr-x
2024-04-01 07:31
rsmtp
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
rsyslogd
771.67
KB
-rwxr-xr-x
2026-07-20 16:30
rtacct
28.31
KB
-rwxr-xr-x
2026-04-15 06:53
rtcwake
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
rtmon
116.52
KB
-rwxr-xr-x
2026-04-15 06:53
runlevel
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
runq
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
runuser
54.38
KB
-rwxr-xr-x
2026-03-06 16:00
sasl-sample-server
22.56
KB
-rwxr-xr-x
2024-08-09 02:33
saslauthd
82.66
KB
-rwxr-xr-x
2024-08-09 02:33
sasldbconverter2
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
sasldblistusers2
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
saslpasswd2
14.44
KB
-rwxr-xr-x
2024-08-09 02:33
saslpluginviewer
18.44
KB
-rwxr-xr-x
2024-08-09 02:33
select-default-ispell
3.23
KB
-rwxr-xr-x
2023-09-07 08:57
select-default-wordlist
3.21
KB
-rwxr-xr-x
2023-09-07 08:57
sendmail
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
service
8.89
KB
-rwxr-xr-x
2023-12-06 07:50
setcap
14.3
KB
-rwxr-xr-x
2026-04-09 15:04
setquota
79.38
KB
-rwxr-xr-x
2024-04-01 07:31
setvesablank
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
setvtrgb
14.43
KB
-rwxr-xr-x
2024-03-31 09:02
sfdisk
106.38
KB
-rwxr-xr-x
2026-03-06 16:00
shadowconfig
2.22
KB
-rwxr-xr-x
2024-05-07 13:44
shutdown
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
slattach
36.08
KB
-rwxr-xr-x
2025-05-28 13:23
split-logfile
2.36
KB
-rwxr-xr-x
2026-07-06 16:27
sshd
899.82
KB
-rwxr-xr-x
2026-07-09 18:16
start-stop-daemon
47.49
KB
-rwxr-xr-x
2026-05-06 17:38
sudo_logsrvd
248.5
KB
-rwxr-xr-x
2026-03-02 12:56
sudo_sendlog
131.67
KB
-rwxr-xr-x
2026-03-02 12:56
sulogin
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
swaplabel
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
swapoff
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
swapon
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
switch_root
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
sysctl
30.38
KB
-rwxr-xr-x
2024-09-26 08:44
syslog2eximlog
1.41
KB
-rwxr-xr-x
2026-07-17 15:24
tarcat
936
B
-rwxr-xr-x
2024-01-01 21:15
tc
634.08
KB
-rwxr-xr-x
2026-04-15 06:53
tcptraceroute
1.56
KB
-rwxr-xr-x
2023-12-25 07:29
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2023-12-25 07:29
telinit
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
testsaslauthd
14.3
KB
-rwxr-xr-x
2024-08-09 02:33
tipc
90.52
KB
-rwxr-xr-x
2026-04-15 06:53
tor
3.67
MB
-rwxr-xr-x
2024-06-06 14:50
tor-instance-create
2.58
KB
-rwxr-xr-x
2024-06-06 14:50
traceroute
79.28
KB
-rwxr-xr-x
2023-12-25 07:29
tune2fs
110.56
KB
-rwxr-xr-x
2024-04-28 23:44
u-d-c-print-pci-ids
517
B
-rwxr-xr-x
2025-10-20 20:36
umount.udisks2
14.3
KB
-rwxr-xr-x
2025-08-21 14:16
unix_chkpwd
30.31
KB
-rwxr-sr-x
2026-07-16 13:44
unix_update
34.31
KB
-rwxr-xr-x
2026-07-16 13:44
update-ca-certificates
5.32
KB
-rwxr-xr-x
2026-06-15 16:17
update-catalog
9.17
KB
-rwxr-xr-x
2022-10-06 18:03
update-cracklib
1.15
KB
-rwxr-xr-x
2022-11-29 07:26
update-default-aspell
1
KB
-rwxr-xr-x
2023-09-07 08:57
update-default-ispell
9.68
KB
-rwxr-xr-x
2023-09-07 08:57
update-default-wordlist
7.5
KB
-rwxr-xr-x
2023-09-07 08:57
update-dictcommon-aspell
1
KB
-rwxr-xr-x
2023-09-07 08:57
update-dictcommon-hunspell
782
B
-rwxr-xr-x
2023-09-07 08:57
update-exim4.conf
14.7
KB
-rwxr-xr-x
2026-07-17 15:24
update-exim4.conf.template
3.35
KB
-rwxr-xr-x
2024-06-24 20:31
update-fonts-alias
5.71
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-dir
3.98
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-scale
6.1
KB
-rwxr-xr-x
2016-08-21 16:54
update-gsfontmap
390
B
-rwxr-xr-x
2025-09-25 16:37
update-icon-caches
596
B
-rwxr-xr-x
2025-01-27 19:56
update-info-dir
1.66
KB
-rwxr-xr-x
2024-01-13 19:09
update-initramfs
6.75
KB
-rwxr-xr-x
2026-02-04 17:01
update-locale
2.99
KB
-rwxr-xr-x
2024-08-08 13:37
update-mime
9.39
KB
-rwxr-xr-x
2026-07-02 14:59
update-passwd
34.56
KB
-rwxr-xr-x
2024-04-08 15:54
update-pciids
1.74
KB
-rwxr-xr-x
2024-04-08 16:15
update-rc.d
17.72
KB
-rwxr-xr-x
2023-12-06 07:47
update-shells
3.89
KB
-rwxr-xr-x
2024-03-31 08:47
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2023-12-12 02:01
updatedb.plocate
106.48
KB
-rwxr-xr-x
2024-04-18 17:53
usbmuxd
90.6
KB
-rwxr-xr-x
2025-12-11 13:34
useradd
139.88
KB
-rwxr-xr-x
2024-05-30 14:52
userdel
91.01
KB
-rwxr-xr-x
2024-05-30 14:52
usermod
127.65
KB
-rwxr-xr-x
2024-05-30 14:52
uuidd
30.88
KB
-rwxr-xr-x
2026-03-06 16:00
validlocale
1.73
KB
-rwxr-xr-x
2022-08-02 15:34
vcstime
14.3
KB
-rwxr-xr-x
2024-03-31 09:02
vdpa
34.56
KB
-rwxr-xr-x
2026-04-15 06:53
vigr
60.69
KB
-rwxr-xr-x
2024-05-30 14:52
vipw
60.69
KB
-rwxr-xr-x
2024-05-30 14:52
visudo
252.71
KB
-rwxr-xr-x
2026-03-02 12:56
vpddecode
14.58
KB
-rwxr-xr-x
2024-10-14 20:25
warnquota
83.3
KB
-rwxr-xr-x
2024-04-01 07:31
wipefs
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
xinetd
174.55
KB
-rwxr-xr-x
2024-04-01 08:35
xqmstats
14.15
KB
-rwxr-xr-x
2024-04-01 07:31
xtables-legacy-multi
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
xtables-monitor
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
xtables-nft-multi
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
zic
66.39
KB
-rwxr-xr-x
2026-07-23 17:18
zramctl
54.52
KB
-rwxr-xr-x
2026-03-06 16:00
Save
Rename
#!/bin/sh # Explicitly set the PATH to that of ENV_SUPATH in /etc/login.defs and unset # various other variables. We need to do this so /sbin/dhclient cannot abuse # the environment to escape AppArmor confinement via this script # (LP: #1045986). This can be removed once AppArmor supports environment # filtering (LP: #1045985) export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin export ENV= export BASH_ENV= export CDPATH= export GLOBIGNORE= export BASH_XTRACEFD= # dhclient-script for Linux. Dan Halbert, March, 1997. # Updated for Linux 2.[12] by Brian J. Murrell, January 1999. # Modified for Debian. Matt Zimmerman and Eloy Paris, December 2003 # Modified to remove useless tests for antiquated kernel versions that # this doesn't even work with anyway, and introduces a dependency on /usr # being mounted, which causes cosmetic errors on hosts that NFS mount /usr # Andrew Pollock, February 2005 # Modified to work on point-to-point links. Andrew Pollock, June 2005 # Modified to support passing the parameters called with to the hooks. Andrew Pollock, November 2005 # The alias handling in here probably still sucks. -mdz # log an error. error() { logger -p daemon.err "$@"; } # wait for given file to be writable wait_for_rw() { local file=$1 # Find out whether we are going to mount / rw exec 9>&0 </etc/fstab rootmode=rw while read dev mnt type opts dump pass junk; do [ "$mnt" != / ] && continue case "$opts" in ro|ro,*|*,ro|*,ro,*) rootmode=ro ;; esac done exec 0>&9 9>&- # Wait for $file to become writable if [ "$rootmode" = "rw" ]; then while ! { : >> "$file"; } 2>/dev/null; do sleep 0.1 done fi } # update /etc/resolv.conf based on received values make_resolv_conf() { local new_resolv_conf # DHCPv4 if [ -n "$new_domain_search" ] || [ -n "$new_domain_name" ] || [ -n "$new_domain_name_servers" ]; then resolv_conf=$(readlink -f "/etc/resolv.conf" 2>/dev/null) || resolv_conf="/etc/resolv.conf" new_resolv_conf="${resolv_conf}.dhclient-new.$$" wait_for_rw "$new_resolv_conf" rm -f $new_resolv_conf if [ -n "$new_domain_name" ]; then echo domain ${new_domain_name%% *} >>$new_resolv_conf || exit 1 fi if [ -n "$new_domain_search" ]; then if [ -n "$new_domain_name" ]; then domain_in_search_list="" for domain in $new_domain_search; do if [ "$domain" = "${new_domain_name}" ] || [ "$domain" = "${new_domain_name}." ]; then domain_in_search_list="Yes" fi done if [ -z "$domain_in_search_list" ]; then new_domain_search="$new_domain_name $new_domain_search" fi fi echo "search ${new_domain_search}" >> $new_resolv_conf || exit 1 elif [ -n "$new_domain_name" ]; then echo "search ${new_domain_name}" >> $new_resolv_conf || exit 1 fi if [ -n "$new_domain_name_servers" ]; then for nameserver in $new_domain_name_servers; do echo nameserver $nameserver >>$new_resolv_conf || exit 1 done else # keep 'old' nameservers sed -n /^\w*[Nn][Aa][Mm][Ee][Ss][Ee][Rr][Vv][Ee][Rr]/p $resolv_conf >>$new_resolv_conf || exit 1 fi if [ -f $resolv_conf ]; then chown --reference=$resolv_conf $new_resolv_conf chmod --reference=$resolv_conf $new_resolv_conf fi # cat then rm to handle binds (e.g. ip netns exec) cat $new_resolv_conf > $resolv_conf rm -f $new_resolv_conf # DHCPv6 elif [ -n "$new_dhcp6_domain_search" ] || [ -n "$new_dhcp6_name_servers" ]; then resolv_conf=$(readlink -f "/etc/resolv.conf" 2>/dev/null) || resolv_conf="/etc/resolv.conf" new_resolv_conf="${resolv_conf}.dhclient-new.$$" wait_for_rw "$new_resolv_conf" rm -f $new_resolv_conf if [ -n "$new_dhcp6_domain_search" ]; then echo "search ${new_dhcp6_domain_search}" >> $new_resolv_conf || exit 1 fi if [ -n "$new_dhcp6_name_servers" ]; then for nameserver in $new_dhcp6_name_servers; do # append %interface to link-local-address nameservers if [ "${nameserver##fe80::}" != "$nameserver" ] || [ "${nameserver##FE80::}" != "$nameserver" ]; then nameserver="${nameserver}%${interface}" fi echo nameserver $nameserver >>$new_resolv_conf || exit 1 done else # keep 'old' nameservers sed -n /^\w*[Nn][Aa][Mm][Ee][Ss][Ee][Rr][Vv][Ee][Rr]/p $resolv_conf >>$new_resolv_conf || exit 1 fi if [ -f $resolv_conf ]; then chown --reference=$resolv_conf $new_resolv_conf chmod --reference=$resolv_conf $new_resolv_conf fi cat $new_resolv_conf > $resolv_conf rm -f $new_resolv_conf fi } # set host name set_hostname() { if [ -n "$new_host_name" ]; then local current_hostname=$(hostname) # current host name is empty, '(none)' or 'localhost' or differs from new one from DHCP if [ -z "$current_hostname" ] || [ "$current_hostname" = '(none)' ] || [ "$current_hostname" = 'localhost' ] || [ "$current_hostname" = "$old_host_name" ]; then if [ "$new_host_name" != "$current_host_name" ]; then hostname "$new_host_name" fi fi fi } # set the link up and wait for ipv6 link local dad to finish ipv6_link_up_and_dad() { local dev=$1 delay=${2:-0.1} attempts=${3:-60} ip link set up dev "$dev" || { error "$dev: failed to set link up"; return 1; } local n=0 while :; do n=$((n+1)) # note: busybox ip does not understand 'tentative' as input # so we cannot just use the tentative flag and check for empty out=$(ip -6 -o address show dev "$dev" scope link) || { error "$dev: checking for link-local addresses failed"; return 1 } # another note: the output may be empty if the link local tentative addr # isn't up just yet, so we need to make sure there is at least one 'inet6' # match before returning success. We need to keep checking for both # 'tentative' case and default (no inet6 address) case. (LP: #1718568) # Don't reorder tentative/inet6 - we need to check for tentative first. case " $out " in *\ dadfailed\ *) error "$dev: ipv6 dad failed." return 1;; *\ tentative\ *) :;; *\ inet6\ *) return 0;; *) :;; esac [ $n -lt $attempts ] || { error "$dev: time out waiting for permanent link-local address" return 1; } sleep $delay done } # run given script run_hook() { local script="$1" local exit_status=0 if [ -f $script ]; then . $script exit_status=$? fi if [ -n "$exit_status" ] && [ "$exit_status" -ne 0 ]; then logger -p daemon.err "$script returned non-zero exit status $exit_status" fi return $exit_status } # run scripts in given directory run_hookdir() { local dir="$1" local exit_status=0 if [ -d "$dir" ]; then for script in $(run-parts --list $dir); do run_hook $script exit_status=$((exit_status|$?)) done fi return $exit_status } # Must be used on exit. Invokes the local dhcp client exit hooks, if any. exit_with_hooks() { local exit_status=$1 # Source the documented exit-hook script, if it exists if ! run_hook /etc/dhcp/dhclient-exit-hooks; then exit_status=$? fi # Now run scripts in the Debian-specific directory. if ! run_hookdir /etc/dhcp/dhclient-exit-hooks.d; then exit_status=$? fi exit $exit_status } # The 576 MTU is only used for X.25 and dialup connections # where the admin wants low latency. Such a low MTU can cause # problems with UDP traffic, among other things. As such, # disallow MTUs from 576 and below by default, so that broken # MTUs are ignored, but higher stuff is allowed (1492, 1500, etc). if [ -z "$new_interface_mtu" ] || [ "$new_interface_mtu" -le 576 ]; then new_interface_mtu='' fi # The action starts here # Invoke the local dhcp client enter hooks, if they exist. run_hook /etc/dhcp/dhclient-enter-hooks run_hookdir /etc/dhcp/dhclient-enter-hooks.d # Execute the operation case "$reason" in ### DHCPv4 Handlers MEDIUM|ARPCHECK|ARPSEND) # Do nothing ;; PREINIT) # The DHCP client is requesting that an interface be # configured as required in order to send packets prior to # receiving an actual address. - dhclient-script(8) # ensure interface is up ip link set dev ${interface} up if [ -n "$alias_ip_address" ]; then # flush alias IP from interface ip -4 addr flush dev ${interface} label ${interface}:0 fi ;; BOUND|RENEW|REBIND|REBOOT) set_hostname if [ -n "$old_ip_address" ] && [ -n "$alias_ip_address" ] && [ "$alias_ip_address" != "$old_ip_address" ]; then # alias IP may have changed => flush it ip -4 addr flush dev ${interface} label ${interface}:0 fi if [ -n "$old_ip_address" ] && [ "$old_ip_address" != "$new_ip_address" ]; then # leased IP has changed => flush it ip -4 addr flush dev ${interface} label ${interface} fi if [ -z "$old_ip_address" ] || [ "$old_ip_address" != "$new_ip_address" ] || [ "$reason" = "BOUND" ] || [ "$reason" = "REBOOT" ]; then # new IP has been leased or leased IP changed => set it ip -4 addr add ${new_ip_address}${new_subnet_mask:+/$new_subnet_mask} \ ${new_broadcast_address:+broadcast $new_broadcast_address} \ ${new_dhcp_lease_time:+valid_lft $new_dhcp_lease_time} \ ${new_dhcp_lease_time:+preferred_lft $new_dhcp_lease_time} \ dev ${interface} label ${interface} if [ -n "$new_interface_mtu" ]; then # set MTU ip link set dev ${interface} mtu ${new_interface_mtu} fi # if we have $new_rfc3442_classless_static_routes then we have to # ignore $new_routers entirely if [ ! "$new_rfc3442_classless_static_routes" ]; then # set if_metric if IF_METRIC is set or there's more than one router if_metric="$IF_METRIC" if [ "${new_routers%% *}" != "${new_routers}" ]; then if_metric=${if_metric:-1} fi for router in $new_routers; do if [ "$new_subnet_mask" = "255.255.255.255" ]; then # point-to-point connection => set explicit route ip -4 route add ${router} dev $interface >/dev/null 2>&1 fi # set default route ip -4 route add default via ${router} dev ${interface} \ ${if_metric:+metric $if_metric} >/dev/null 2>&1 if [ -n "$if_metric" ]; then if_metric=$((if_metric+1)) fi done fi else # RENEW||REBIND ip -4 addr change ${new_ip_address}${new_subnet_mask:+/$new_subnet_mask} \ ${new_broadcast_address:+broadcast $new_broadcast_address} \ ${new_dhcp_lease_time:+valid_lft $new_dhcp_lease_time} \ ${new_dhcp_lease_time:+preferred_lft $new_dhcp_lease_time} \ dev ${interface} label ${interface} fi if [ -n "$alias_ip_address" ] && [ "$new_ip_address" != "$alias_ip_address" ]; then # separate alias IP given, which may have changed # => flush it, set it & add host route to it ip -4 addr flush dev ${interface} label ${interface}:0 ip -4 addr add ${alias_ip_address}${alias_subnet_mask:+/$alias_subnet_mask} \ dev ${interface} label ${interface}:0 ip -4 route add ${alias_ip_address} dev ${interface} >/dev/null 2>&1 fi # update /etc/resolv.conf make_resolv_conf ;; EXPIRE|FAIL|RELEASE|STOP) if [ -n "$alias_ip_address" ]; then # flush alias IP ip -4 addr flush dev ${interface} label ${interface}:0 fi if [ -n "$old_ip_address" ]; then # flush leased IP ip -4 addr flush dev ${interface} label ${interface} fi if [ -n "$alias_ip_address" ]; then # alias IP given => set it & add host route to it ip -4 addr add ${alias_ip_address}${alias_subnet_mask:+/$alias_subnet_mask} \ dev ${interface} label ${interface}:0 ip -4 route add ${alias_ip_address} dev ${interface} >/dev/null 2>&1 fi ;; TIMEOUT) if [ -n "$alias_ip_address" ]; then # flush alias IP ip -4 addr flush dev ${interface} label ${interface}:0 fi # set IP from recorded lease ip -4 addr add ${new_ip_address}${new_subnet_mask:+/$new_subnet_mask} \ ${new_broadcast_address:+broadcast $new_broadcast_address} \ ${new_dhcp_lease_time:+valid_lft $new_dhcp_lease_time} \ ${new_dhcp_lease_time:+preferred_lft $new_dhcp_lease_time} \ dev ${interface} label ${interface} if [ -n "$new_interface_mtu" ]; then # set MTU ip link set dev ${interface} mtu ${new_interface_mtu} fi # if there is no router recorded in the lease or the 1st router answers pings if [ -z "$new_routers" ] || ping -q -c 1 "${new_routers%% *}"; then # if we have $new_rfc3442_classless_static_routes then we have to # ignore $new_routers entirely if [ ! "$new_rfc3442_classless_static_routes" ]; then if [ -n "$alias_ip_address" ] && [ "$new_ip_address" != "$alias_ip_address" ]; then # separate alias IP given => set up the alias IP & add host route to it ip -4 addr add ${alias_ip_address}${alias_subnet_mask:+/$alias_subnet_mask} \ dev ${interface} label ${interface}:0 ip -4 route add ${alias_ip_address} dev ${interface} >/dev/null 2>&1 fi # set if_metric if IF_METRIC is set or there's more than one router if_metric="$IF_METRIC" if [ "${new_routers%% *}" != "${new_routers}" ]; then if_metric=${if_metric:-1} fi # set default route for router in $new_routers; do ip -4 route add default via ${router} dev ${interface} \ ${if_metric:+metric $if_metric} >/dev/null 2>&1 if [ -n "$if_metric" ]; then if_metric=$((if_metric+1)) fi done fi # update /etc/resolv.conf make_resolv_conf else # flush all IPs from interface ip -4 addr flush dev ${interface} exit_with_hooks 2 fi ;; ### DHCPv6 Handlers # TODO handle prefix change: ?based on ${old_ip6_prefix} and ${new_ip6_prefix}? PREINIT6) # ensure interface is up ipv6_link_up_and_dad "$interface" # flush any stale global permanent IPs from interface ip -6 addr flush dev ${interface} scope global permanent ;; BOUND6|RENEW6|REBIND6) if [ "${new_ip6_address}" ]; then # set leased IP ip -6 addr replace ${new_ip6_address} \ dev ${interface} scope global valid_lft ${new_max_life} \ preferred_lft ${new_preferred_life} fi # update /etc/resolv.conf if [ "${reason}" = BOUND6 ] || [ "${new_dhcp6_name_servers}" != "${old_dhcp6_name_servers}" ] || [ "${new_dhcp6_domain_search}" != "${old_dhcp6_domain_search}" ]; then make_resolv_conf fi ;; DEPREF6) # set preferred lifetime of leased IP to 0 ip -6 addr change ${cur_ip6_address} \ dev ${interface} scope global preferred_lft 0 ;; EXPIRE6|RELEASE6|STOP6) if [ -z "${old_ip6_address}" ]; then exit_with_hooks 2 fi # delete leased IP ip -6 addr del ${old_ip6_address} \ dev ${interface} ;; esac exit_with_hooks 0